/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using FairyGUI;
using XGame;
using XGame.Framework.UI;

namespace FL.FGUI
{
    public class MainListShopItemData
    {
        public int id;
        public string name;
    }
    /// <summary>
    /// UI逻辑处理类
    /// </summary>
    /// <typeparam name=""></typeparam>
    public partial class MainListShopCtrl : UIController<MainListShopVM>
    {
        protected override void OnEnable(object intent)
        {
            AddUIListenres();
        }
        protected override void OnDisable()
        {
            RemoveUIListenres();
        }
        #region UI事件
        private void AddUIListenres()
        {
            VM.GotoBtn.onClick.Add(OnClickGotoBtn);

        }
        private void RemoveUIListenres()
        {
            VM.GotoBtn.onClick.Remove(OnClickGotoBtn);

        }
        private void OnClickGotoBtn(EventContext context)
        {
            XGame.Log.Info($"MainListShopCtrl OnClickGotoBtn.");
        }

        #endregion
        public void OnRefresh(int index, MainListShopItemData data)
        {
            Log.Debug($"OnRefresh Index:{index} Id:{data.id} name:{data.name}");
        }
    }
}